source "https://rubygems.org"

ruby "3.3.0"
gem "rails", "~> 7.1.3"

# gem "bootsnap", require: false
gem "devise", "~> 4.9"
gem "importmap-rails"
gem "pg", "~> 1.1"
gem "puma", ">= 5.0"
gem "redis", ">= 4.0.1"
gem "turbo-rails"
gem "tzinfo-data", platforms: %i[windows jruby]
gem "stimulus-rails"
gem "sprockets-rails"

# Use Active Storage variants [https://guides.rubyonrails.org/active_storage_overview.html#transforming-images]
# gem "image_processing", "~> 1.2"

group :development do
  gem "rails-erd"
  gem "web-console"
end

group :test do
  gem "capybara"
  gem "cuprite"
  gem "rails-controller-testing"
  gem "rspec-rails"
  gem "selenium-webdriver"
  gem "shoulda-matchers", require: false
end

group :development, :test do
  gem "byebug"
  gem "standard"
  gem "ffaker"
  gem "factory_bot_rails"
end
